import * as fs from "fs";
export async function writeGroupedViolations(differences, path) {
    const defaultRule = "assumedViolation";
    const groupedDiff = {};
    for (const diff of differences) {
        const ruleName = diff.ruleName ?? defaultRule;
        if (!groupedDiff[ruleName]) {
            groupedDiff[ruleName] = {
                name: ruleName,
                count: 0,
                items: [],
            };
        }
        groupedDiff[ruleName].items.push(diff);
        groupedDiff[ruleName].count++;
    }
    const groupedDiffArray = Object.values(groupedDiff);
    // Sort by count descending
    groupedDiffArray.sort((a, b) => b.count - a.count);
    fs.writeFileSync(path, JSON.stringify(groupedDiffArray, null, 2));
}
export async function writeFlatViolations(differences, path) {
    fs.writeFileSync(path, JSON.stringify(differences, null, 2));
}
//# sourceMappingURL=diff-file.js.map