import { OpenAPIV2 } from "openapi-types";
import { DefinitionRegistry } from "./definitions.js";
/** A class for parsing Swagger files into an expanded, normalized form. */
export declare class SwaggerParser {
    #private;
    defRegistry: DefinitionRegistry;
    private parameterizedHost?;
    private defaultConsumes?;
    private defaultProduces?;
    private errorSchemas;
    private host?;
    private rootPath;
    private swaggerMap;
    private result;
    constructor(map: Map<string, any>, rootPath: string, args: any);
    updateDiscoveredReferences(): Promise<void>;
    /** Get the parsed result as a JSON object. */
    asJSON(): any;
    /** Returns the error schemas discovered for this parser. */
    getErrorSchemas(): Map<string, OpenAPIV2.SchemaObject>;
    /** Parse a generic node. */
    parseNode(obj: any): any;
    /** Special handling for the root of a Swagger object. */
    parse(): SwaggerParser;
    reportUnresolvedReferences(): void;
    reportUnreferencedObjects(): void;
    /** Pare the entire Paths object. */
    parsePaths(value: any): any;
}
//# sourceMappingURL=parser.d.ts.map