import { RegistryKind } from "./definitions.js";
export interface ReferenceMetadata {
    /** Short name of the reference. This is not sufficient to avoid collisions but it often useful. */
    name: string;
    /** The registry this reference points to. */
    registry: RegistryKind;
    /** The original, unaltered version of $ref. */
    original: string;
    /** The fully expanded path to the source file. */
    fullPath: string;
    /** The fully expanded reference. */
    expandedRef: string;
}
/**
 * Compile various sources of path information into a canonical set of
 * reference metadata.
 * @param refs The $ref value to parse.
 * @param rootPath The root path to use when resolving relative paths.
 * @param filePath A file path to use when resolving relative paths.
 */
export declare function parseReference(ref: string, rootPath?: string, filePath?: string): ReferenceMetadata | undefined;
export declare function isReference(value: any): boolean;
export declare function loadPaths(paths: string[], args: any): Promise<Map<string, any>>;
//# sourceMappingURL=util.d.ts.map